Debian-facile

Bienvenue sur Debian-Facile, site d'aide pour les nouveaux utilisateurs de Debian.

Vous n'êtes pas identifié(e).

#1 20-05-2014 13:41:44

pancrace
Membre
Distrib. : Jessie 8.3
Noyau : Linux 3.16.0-4-amd64
(G)UI : gnome 3 et Mate
Inscription : 04-10-2011

canon pixma

bonjour

je tente d'installer sur LMDE un imprimante/scanner canon pixma pm 160.
Sur le site canon j'ai bien chargé le paquet deb correspondant mais, il y a toujours un mais, c'est pour i386.. et l'ordi HP est en amd64.

comment faire ????

Merci de vos conseils avisés.

Pancrace

Celui qui ne sait rien, en sait toujours autant que celui qui n'en sait pas plus.
P.Dac

Hors ligne

#2 20-05-2014 15:24:31

captnfab
Admin-Girafe
Lieu : /dev/random
Distrib. : Debian Stretch/Sid/Rc-Buggy
Noyau : Linux (≥ 4.3)
(G)UI : i3-wm (≥ 4.11)
Inscription : 07-07-2008
Site Web

Re : canon pixma

Salut,
Il va te falloir activer la gestion du multiarch pour ton gestionnaire de paquet. Pour ce faire :

dpkg --add-architecture i386
apt-get update



Puis tu essayes d'installer ton paquet i386.

dpkg -i ton-paquet_i386.deb
aptitude install -f


Il te demandera probablement d'installer plein de dépendances i386, c'est normal. Fait simplement attention à ce qu'il te propose de désinstaller, quitte à regarder les différentes alternatives que te proposes aptitude.


captnfab,
Association Debian-Facile, bépo.
TheDoctor: Your wish is my command… But be careful what you wish for.

Hors ligne

Pied de page des forums